<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="content">
		<br />
		<h3>
			<h:outputLabel value="#{strings.user_registration}:" />
		</h3>
		<br />

		<h:form>
			<h:outputLabel value="#{strings.name}: " for="name_field" />
			<h:inputText value="#{adminController.name}" id="name_field" />
			<br />

			<h:outputLabel value="#{strings.employee_type}: " for="type_field" />
			<h:selectOneMenu value="#{adminController.userType}" id="type_field">
				<f:selectItems value="#{adminController.userTypes}" var="type"
					itemValue="#{type}" itemLabel="#{strings[type]}" />
			</h:selectOneMenu>
			<br />

			<h:outputLabel value="#{strings.login}: " for="login_field" />
			<h:inputText value="#{adminController.login}" id="login_field" />
			<br />

			<h:outputLabel value="#{strings.password}: " for="password_field" />
			<h:inputSecret value="#{adminController.password}"
				id="password_field" />
			<br />

			<h:outputLabel value="#{strings.password_confirmation}: "
				for="password_confirmation_field" />
			<h:inputSecret value="#{adminController.passwordConfirmation}"
				id="password_confirmation_field" />
			<br />

			<h:commandButton value="#{strings.save}"
				action="#{adminController.save}" />
		</h:form>
		<br />

		<h3>
			<h:outputLabel value="#{strings.request_creation}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_creation.xhtml" />
		</div>
		<br />

		<h3>
			<h:outputLabel value="#{strings.my_requests}:" />
		</h3>
		<div>
			<ui:include src="/WEB-INF/common/service_request_list.xhtml" />
		</div>
	</ui:define>
</ui:composition>